@echo off
set WADROOT=C:\Steam\SteamApps\_funjob_\half-life\ts
echo ###################################################
echo #                 Batch  Compiler                 #
echo ###################################################
echo ###################################################
echo #  Please report bugs to: ryansgregg@hotmail.com  #
echo ###################################################
echo.
echo Written At: 5/12/2006 4:06 PM
echo BC Version: 3.1.2.0
echo.
"C:\Hammer\batch2\Tools\hlcsg.exe" -wadinclude Megawad2.wad -wadinclude mecktex.wad -wadinclude mesa.wad -chart -estimate -texdata 15000 -lightdata 15000 "C:\Hammer\mesa\b1\Mesab1"
if ERRORLEVEL 1 goto failed
"C:\Hammer\batch2\Tools\hlbsp.exe" -maxnodesize 8192 -chart -estimate -texdata 15000 -lightdata 15000 "C:\Hammer\mesa\b1\Mesab1"
if ERRORLEVEL 1 goto failed
"C:\Hammer\batch2\Tools\hlvis.exe" -chart -estimate -texdata 15000 -lightdata 15000 "C:\Hammer\mesa\b1\Mesab1"
if ERRORLEVEL 1 goto failed
"C:\Hammer\batch2\Tools\hlrad.exe" -chop 129 -texchop 82 -chart -estimate -texdata 15000 -lightdata 15000  "C:\Hammer\mesa\b1\Mesab1"
if ERRORLEVEL 1 goto failed
if ERRORLEVEL 1 goto failed
if not exist "C:\Hammer\mesa\b1\Mesab1.bsp" goto nocopybsp
copy "C:\Hammer\mesa\b1\Mesab1.bsp" "C:\Steam\SteamApps\_funjob_\half-life\ts\maps"
echo Mesab1.bsp copied to C:\Steam\SteamApps\_funjob_\half-life\ts\maps.
:nocopybsp

goto succeeded
:failed
echo.
echo Sorry Shane, compiled Failed. Check the Log.
echo.
echo ###########################################
echo ##               FUCK                    ##
echo ###########################################
echo. 
:succeeded
echo.
if exist "C:\Hammer\mesa\b1\Mesab1.log" "C:\WINDOWS\system32\notepad.exe" "C:\Hammer\mesa\b1\Mesab1.log"
